Package org.apache.lucene.util

# Interface ArrayUtil.ByteArrayComparator

Enclosing class:
  `ArrayUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ArrayUtil.ByteArrayComparator
Comparator for a fixed number of bytes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(byte[] a, int aI, byte[] b, int bI)`
  Compare bytes starting from the given offsets.

- ## Method Details

  - ### compare

    int compare(byte[] a, int aI, byte[] b, int bI)
    Compare bytes starting from the given offsets. The return value has the same contract as `Comparator.compare(Object, Object)`.